Distribution:   CCux Linux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		smpeg
Version:	0.4.4
Release:	6
Provides:	%{name}
License:	LGPL 
URL:		http://www.lokigames.com/development/
Group:		Multimedia
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-build.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	smpeg is a MPEG video/audio player for Linux.
Requires:	SDL
BuildRequires:	SDL-devel 
BuildRequires:	libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libXrender-devel
BuildRequires:  glibc-devel
BuildRequires:  DirectFB-devel
BuildRequires:  gtk+-devel
BuildRequires:  sysfsutils-devel 
BuildRequires:  libglib-devel
BuildRequires:  libstdc++-devel
BuildRequires:  zlib-devel

%description
smpeg is based on UC Berkeley's mpeg_play software MPEG decoder
and SPLAY, an mpeg audio decoder created by Woo-jae Jung. We have
completed the initial work to wed these two projects in order to 
create a general purpose MPEG video/audio player for the Linux OS.
For more details see: http://www.lokigames.com/development/

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
SMPEG is based on UC Berkeley's mpeg_play software MPEG decoder
and SPLAY, an mpeg audio decoder created by Woo-jae Jung. We have
completed the initial work to wed these two projects in order to 
create a general purpose MPEG video/audio player for the Linux OS. 

This is the libraries, include files and other resources you can use
to develop SMPEG applications.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
./autogen.sh
./configure --prefix=%_prefix \
--mandir=%_mandir \
--disable-opengl-player \
--disable-debug
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%doc CHANGES COPYING README
%_bindir/plaympeg
%_bindir/gtv
%_libdir/*.so.*
%_mandir

%files devel
%defattr(-,root,root)
%_bindir/%{name}-config
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_aclocal

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 31 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.4.4-6
- refined BuildRequires list
* Sat Dec 30 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.4.4-5
- rebuild against new SDL
* Mon Jun 26 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.4.4-4
- patched to build with automake 1.9 / gcc 3.4 / 4.1
* Fri Nov 25 2005 Christian Wasem <wasem@ccux-linux.de> 0.4.4-3
- rebuilt, replaced aclocal fix with aclocal patch
- removed wrong Obsoletes-Tag
* Fri Apr 14 2005 Christian Wasem <wasem@ccux-linux.de> - 0.4.4-2
- added automake / aclocal fix
